### Method

# GtkSource PrintCompositor set_print_header

#### Declaration [src]

    void
    gtk_source_print_compositor_set_print_header (
      GtkSourcePrintCompositor* compositor,
      gboolean print
    )

#### Description [src]

Sets whether you want to print a header in each page.

The header consists of three pieces of text and an optional line separator, configurable with `gtk_source_print_compositor_set_header_format()`.

Note that by default the header format is unspecified, and if it’s empty it will not be printed, regardless of this setting.

This function cannot be called anymore after the first call to the `gtk_source_print_compositor_paginate()` function.

Sets property | `GtkSource.PrintCompositor:print-header`

#### Parameters

`print`

  Type: `gboolean`

  `TRUE` if you want the header to be printed.